%bcond_without  python3
Name:           deltarpm
Version:        3.6.2
Release:        4
Summary:        deltarpm contains the difference between an old and a new version of an RPM package.
License:        BSD
URL:            https://github.com/rpm-software-management/deltarpm
Source0:        https://github.com/rpm-software-management/deltarpm/archive/3.6.2.tar.gz 

BuildRequires:  gcc bzip2-devel perl-generators xz-devel rpm-devel popt-devel zlib-devel
BuildRequires:  %{_vendor}-rpm-config
BuildRequires:  python2-devel python3-devel gdb

%description
Delta RPM packages contain the difference between an old and a new
version of an RPM package. Applying a delta RPM on an old RPM results
in the complete new RPM. It is not necessary to have a copy of the
old RPM, because a delta RPM can also work with an installed RPM.

%package help
Summary:       help document
Requires:      %{name} = %{version}-%{release}
BuildArch:     noarch
%description help
This package provides help document for deltarpm.

%package -n python2-%{name}
Summary:        Python2 bindings for deltarpm
BuildRequires:  python2-devel
Requires:       %{name} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{name}}
%description -n python2-%{name}
Python2 bindings for deltarpm.

%package -n python3-%{name}
Summary:        Python3 bindings for deltarpm
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}
%description -n python3-%{name}
Python3 bindings for deltarpm.

%package -n drpmsync
Summary:         Sync a file tree with deltarpms
Requires:        %{name}%{_isa} = %{version}-%{release}

%description -n drpmsync
This package contains a tool to sync a file tree with
deltarpms.

%prep
%autosetup -p1


%build
%make_build  CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%__global_ldflags" \
             bindir=%{_bindir} libdir=%{_libdir} mandir=%{_mandir} prefix=%{_prefix} \
             zlibbundled='' zlibldflags='-lz' zlibcppflags=''
%make_build  CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%__global_ldflags" \
             bindir=%{_bindir} libdir=%{_libdir} mandir=%{_mandir} prefix=%{_prefix} \
             zlibbundled='' zlibldflags='-lz' zlibcppflags='' python

%install
%makeinstall pylibprefix=%{buildroot}

%files
%defattr(-,root,root)
%license LICENSE.BSD
%{_bindir}/*
%exclude %{_bindir}/drpmsync

%files help
%defattr(-,root,root)
%doc README NEWS
%{_mandir}/man8/*

%files -n python2-%{name}
%defattr(-,root,root)
%{python2_sitearch}/%{name}.py*
%{python2_sitearch}/_%{name}module.so

%files -n python3-%{name}
%defattr(-,root,root)
%{python3_sitearch}/%{name}.py
%{python3_sitearch}/__pycache__/%{name}*.pyc
%{python3_sitearch}/_%{name}module.so

%files -n drpmsync
%{_bindir}/drpmsync

%changelog
* Wed Dec 9 2020 wangchen <wangchen137@huawei.com> - 3.6.2-4
- Type:bugfix
- ID: NA
- SUG: NA
- DESC:correct the invalid URL

* Fri Oct 16 2020 Liquor <lirui130@huawei.com> - 3.6.2-3
- Type:enhancement
- ID: NA
- SUG: NA
- DESC:add drpmsync packages

* Sat Mar 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.6.2-2
- Type:enhancement
- ID: NA
- SUG: NA
- DESC:add build requires of gdb

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.6.2-1
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: update to 3.6.2

* Mon Dec 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.6-30
- Modify email address

* Wed Sep 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.6-29
- Package Init
